Show / Hide Table of Contents

# Struct Object

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Graphics.Scene

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Object

### Fields

| Improve this Doc View Source

#### ChildObject

##### Declaration

    public Object*ChildObject

##### Field Value

Type | Description
--- | ---
Object* |

| Improve this Doc View Source

#### NextSiblingObject

##### Declaration

    public Object*NextSiblingObject

##### Field Value

Type | Description
--- | ---
Object* |

| Improve this Doc View Source

#### ParentObject

##### Declaration

    public Object*ParentObject

##### Field Value

Type | Description
--- | ---
Object* |

| Improve this Doc View Source

#### Position

##### Declaration

    public Vector3 Position

##### Field Value

Type | Description
--- | ---
Vector3 |

| Improve this Doc View Source

#### PreviousSiblingObject

##### Declaration

    public Object*PreviousSiblingObject

##### Field Value

Type | Description
--- | ---
Object* |

| Improve this Doc View Source

#### Rotation

##### Declaration

    public Quarternion Rotation

##### Field Value

Type | Description
--- | ---
Quarternion |

| Improve this Doc View Source

#### Scale

##### Declaration

    public Vector3 Scale

##### Field Value

Type | Description
--- | ---
Vector3 |

### Methods

| Improve this Doc View Source

#### GetObjectType()

##### Declaration

    [VirtualFunction(2)]
    public ObjectType GetObjectType()

##### Returns

Type | Description
--- | ---
ObjectType |